%global commit d73a25c61fa6b7f41000b38b4b4c8b32ed4e2fd1
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:		libdxfrw
Version:	1.1.0
Release:    1%{?dist}
Summary:	Library to read/write DXF files
License:	GPLv2+
URL:		https://github.com/LibreCAD/libdxfrw
Source0:	https://github.com/LibreCAD/libdxfrw/archive/%{commit}/%{name}-%{shortcommit}.tar.gz
BuildRequires:	gcc-c++
%if 0%{?epel} == 7
BuildRequires:	cmake3
%else
BuildRequires:	cmake
%endif
Patch0:		https://github.com/LibreCAD/libdxfrw/commit/3519af1186871cc4bfd66ee670627816473a1ad8.patch


%description
libdxfrw is a free C++ library to read and write DXF files in both formats,
ASCII and binary form.

%package devel
Summary:	Development files for libdxfrw
Requires:	%{name} = %{version}-%{release}

%description devel
Development files for libdxfrw.


%prep
%setup -q -n %{name}-%{commit}


%build
%if 0%{?epel} == 7
%cmake3
%cmake3_build
%else
%cmake
%cmake_build
%endif


%install
%if 0%{?epel} == 7
%cmake3_install
%else
%cmake_install
%endif



%files
%license COPYING
%doc AUTHORS ChangeLog README
%{_bindir}/dwg2dxf
%{_libdir}/*.so.*
%{_mandir}/man1/dwg2dxf.*

%files devel
%{_includedir}/libdxfrw
%{_libdir}/cmake/libdxfrw
%{_libdir}/*.so
%{_libdir}/pkgconfig/libdxfrw.pc

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.0-1
- initial build
